
CoCoA-5 - Feature #1142

NewZZmod: port to CoCoA-5

15 Dec 2017 18:33 - Anna Maria Bigatti

Status: Closed Start date: 15 Dec 2017

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: CoCoA-5 function: new Estimated time: 2.01 hours

Target version: CoCoA-5.2.2 Spent time: 1.00 hour

Description

NewZZmod allows big integers, and non-primes.

Related issues:

Related to CoCoALib - Bug #1143: Polynomial multiplication wrong for non inte... Closed 15 Dec 2017

History

#1 - 15 Dec 2017 18:37 - Anna Maria Bigatti

John ported it to CoCoA-5.

I added it to the manual.

Found a bug:  printing 0 coeff (this means it contains a summand with 0 coeff!)

/**/  R := NewZZmod(6);

/**/  use R[x,y];

/**/  product([x-i | i in 1..6]);

x^6 +3*x^5 +x^4 +3*x^3 -2*x^2 +0*x

/**/ product([x-i | i in 1..6]) = x^6 +3*x^5 +x^4 +3*x^3 -2*x^2; -- embarrassing...

false

Must add a coeff check in ring is not IsIntegral

#2 - 15 Dec 2017 19:02 - Anna Maria Bigatti

- Related to Bug #1143: Polynomial multiplication wrong for non integral rings added

#3 - 16 Jan 2018 15:30 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 70 to 100
